
<script>

import { onMount } from 'svelte'

let similarities = []

export let treasure = "";
$: {
	let _treasure = treasure;
	similarities = retrieve_similarities (treasure);
}

const retrieve_similarities = (treasure) => {
	let sims = []
	
	console.log ("retrieve_similarities:", { treasure })
	
	try {
		return treasure.bracket.similar;
	}
	catch (exception) {
		console.info (exception.message);
	}
	
	return [];
}



onMount (() => {
	similarities = retrieve_similarities (treasure);
})

</script>

<span 
	class="badge variant-soft-primary"
>
	<span>similar</span>
		
	{#if Array.isArray (similarities) }
	{#each similarities as similarity }
		<span class="badge variant-filled-primary">{ similarity }</span>
	{/each}
	{/if}
</span>